package aventi.epark.utilities;

import org.altbeacon.beacon.Beacon;

/**
 * Created by espeland on 13.03.18.
 */

public abstract class BeaconDistance {
    public static final float PATH_LOSS_OUTDOOR = 2;
    public static final float PATH_LOSS_INDOOR = 1.7f;

    public static final int MEASURED_RSSI_AT_ONE_METER = -61;

    /**
     * Calculates the distance to a beacon based on the logarithmic distance path loss model
     * @param beacon, instance of a Beacon object
     * @return distance in meters*/
    public static float calculateDistance(Beacon beacon) {
        float rssi = beacon.getRssi();
        float dist = (float) Math.pow(10,(MEASURED_RSSI_AT_ONE_METER - rssi) / (10*PATH_LOSS_INDOOR));
        if (dist > 13) {
            return 13;
        } else {
            return dist;
        }
    }
}
